Ubuntu

Unable to print to Konica Minolta C552DS printer - job history

Reported by Anthony Borrow on 2012-09-20
94
This bug affects 17 people
Affects Status Importance Assigned to Milestone
GS-GPL
Unknown
Unknown
cups-filters (Ubuntu)
Undecided
Unassigned
ghostscript (Ubuntu)
Undecided
Unassigned

Bug Description

I like to do some beta testing on my personal computer. I had the KM C552DS network printer installed and working with Cups 1.5.2 in 12.04; however, after upgrading to 12.10 and cups 1.6.1 the printer does not work. In fact when I send the test page (using ipp://192.168.1.50/ipp) it causes the copier to power off and then it comes right back on. I thought it might be related to the job history error but was not able to get ipp14://192.168.1.50/ipp to work either (it said it could not find the printer). In any case, I figured I would report these errors and hope that things get improved in the cups package. Let me know how I can be of help. Peace - Anthony

p.s. - I also noticed some corruption in the printer status and I'll add a couple screenshots so that you can see that strange behavior.

From the /var/log/cups/error.log:

E [19/Sep/2012:16:44:49 -0600] [cups-driverd] Bad driver information file "/usr/share/cups/drv/cupsfilters.drv"!
W [19/Sep/2012:16:45:30 -0600] AddProfile failed: org.freedesktop.DBus.Error.UnknownMethod:No such interface `org.freedesktop.ColorManager' on object at path /org/freedesktop/ColorManager/devices/cups_copies
W [19/Sep/2012:16:45:30 -0600] AddProfile failed: org.freedesktop.DBus.Error.UnknownMethod:No such interface `org.freedesktop.ColorManager' on object at path /org/freedesktop/ColorManager/devices/cups_copies
W [19/Sep/2012:16:45:45 -0600] copies: Printer does not provide REQUIRED job history.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: cups 1.6.1-0ubuntu6
ProcVersionSignature: Ubuntu 3.5.0-15.22-generic 3.5.4
Uname: Linux 3.5.0-15-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.5.2-0ubuntu4
Architecture: amd64
CupsErrorLog:
 W [20/Sep/2012:08:30:33 -0600] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'KMC552DS-Gray..' already exists
 W [20/Sep/2012:08:30:33 -0600] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'KMC552DS-CMYK..' already exists
 W [20/Sep/2012:08:30:33 -0600] CreateDevice failed: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-KMC552DS' already exists
 W [20/Sep/2012:08:30:33 -0600] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'ML-2510-Series-Gray..' already exists
 W [20/Sep/2012:08:30:33 -0600] CreateDevice failed: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-ML-2510-Series' already exists
Date: Thu Sep 20 08:34:04 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
Lpstat:
 p11-kit: duplicate configured module: gnome-keyring.module: /usr/lib/x86_64-linux-gnu/pkcs11/gnome-keyring-pkcs11.so
 device for KMC552DS: ipp://192.168.1.50/ipp
 device for ML-2510-Series: usb://Samsung/ML-2510%20Series?serial=3V61BKEQ340232J.
MachineType: Dell Inc. XPS M1330
Papersize: letter
PpdFiles:
 KMC552DS: KONICA MINOLTA C652SeriesPS(P)
 ML-2510-Series: Samsung ML-2510, 2.0.0
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-15-generic root=UUID=34ee27b2-08ed-439c-8eb5-ea16e76f31ec ro quiet splash vt.handoff=7
SourcePackage: cups
UpgradeStatus: Upgraded to quantal on 2012-09-18 (1 days ago)
dmi.bios.date: 12/26/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd12/26/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1330
dmi.sys.vendor: Dell Inc.
---
ApportVersion: 2.6.1-0ubuntu1
Architecture: amd64
DistroRelease: Ubuntu 12.10
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
Lpstat:
 device for c552d2: ipp14://192.168.1.50/ipp
 device for ML-2510-Series: usb://Samsung/ML-2510%20Series?serial=3V61BKEQ340232J.
MachineType: Dell Inc. XPS M1330
NonfreeKernelModules: nvidia
Package: cups 1.6.1-0ubuntu10
PackageArchitecture: amd64
Papersize: letter
PpdFiles:
 ML-2510-Series: Samsung ML-2510, 2.0.0
 c552d2: KONICA MINOLTA C652SeriesPS(P)
ProcCmdline: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=34ee27b2-08ed-439c-8eb5-ea16e76f31ec ro quiet splash
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=34ee27b2-08ed-439c-8eb5-ea16e76f31ec ro quiet splash
ProcVersionSignature: Ubuntu 3.5.0-17.27-generic 3.5.5
Tags: quantal package-from-proposed running-unity
Uname: Linux 3.5.0-17-generic x86_64
UpgradeStatus: Upgraded to quantal on 2012-09-18 (18 days ago)
UserGroups: adm cdrom dip lpadmin mysql plugdev sambashare sudo vboxusers
dmi.bios.date: 12/26/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd12/26/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1330
dmi.sys.vendor: Dell Inc.

Anthony Borrow (arborrow) wrote :
Anthony Borrow (arborrow) wrote :

The upgrade today (perhaps libgtk3.0 - I forget which one seemed to address an issue with network printing) seems to have resolved this issue. I was able to print this morning and the status in the printers window no longer shows corruption. I am still seeing the no history message in the printer feedback at the bottom of the printers window; however, the warning is not showing up in the error log. Looking at the cups error log I am also no longer seeing the error related to cupsfilters.drv. I do continue to receive:

W [21/Sep/2012:08:18:44 -0600] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'c552ds-Gray..' already exists
W [21/Sep/2012:08:18:44 -0600] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'c552ds-CMYK..' already exists
W [21/Sep/2012:08:18:44 -0600] CreateDevice failed: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-c552ds' already exists
W [21/Sep/2012:08:18:44 -0600] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'ML-2510-Series-Gray..' already exists
W [21/Sep/2012:08:18:44 -0600] CreateDevice failed: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-ML-2510-Series' already exists
W [21/Sep/2012:08:20:31 -0600] AddProfile failed: org.freedesktop.DBus.Error.UnknownMethod:No such interface `org.freedesktop.ColorManager' on object at path /org/freedesktop/ColorManager/devices/cups_c552ds
W [21/Sep/2012:08:20:31 -0600] AddProfile failed: org.freedesktop.DBus.Error.UnknownMethod:No such interface `org.freedesktop.ColorManager' on object at path /org/freedesktop/ColorManager/devices/cups_c552ds
W [21/Sep/2012:08:20:31 -0600] AddProfile failed: org.freedesktop.DBus.Error.UnknownMethod:No such interface `org.freedesktop.ColorManager' on object at path /org/freedesktop/ColorManager/devices/cups_ML_2510_Series

but I consider that another issue and it is not preventing me from printing so I'm less concerned about the color manager warnings and would consider them a separate issue. Please feel free to close this issue as resolved by another issue or not a cups bug as appropriate. If the problem re-surfaces I can create another issue.

Peace - Anthony

Till Kamppeter (till-kamppeter) wrote :

Closing as the problem disappeared.

Changed in cups (Ubuntu):
status: New → Invalid
Anthony Borrow (arborrow) wrote :

The problem has re-emerged. Would it be better to re-open this issue or create another? I'm suspecting another issue would be better so as to provide the latest information. Peace - Anthony

Till Kamppeter (till-kamppeter) wrote :

Can you please update your system completely at first (to have cups 1.6.1-0ubuntu9) and then try again? Please try both "ipp://..." and "ipp14://..." and turn off and turn on the printer again between the tests.

If you have still the problem, please follow the instructions of "Network printer", "CUPS error_log", and "Capturing print job data" on https://wiki.ubuntu.com/DebuggingPrintingProblems. Thanks.

Changed in cups (Ubuntu):
status: Invalid → Incomplete

apport information

tags: added: apport-collected package-from-proposed
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Anthony Borrow (arborrow) wrote :

I upgraded to cups 1.6.1-0ubuntu10 and tried both ipp and ipp14 - both still not working. In fact, none of the protocols work smb lpd, etc. I was attempting to print a test page. The network printer tests show that it is able to find the printer. My best guess is that it is related to either Bad driver information file "/usr/share/cups/drv/cupsfilters.drv"! or the cups-ipp-missing-job-history issue. I've provided updated information via apport-collect -p cups. If you need anything else or have things you would like me to try just let me know. Peace - Anthony

Please follow the instructions of "Network printer", "CUPS error_log", and "Capturing print job data" on https://wiki.ubuntu.com/DebuggingPrintingProblems. Thanks.

ginalfa (ginalfa) wrote :

Same here on quantal and Bizhub c200.
The printer seems to communicate with the PC: print job disappears from the spool but printer wakes-up and stucks, so i need to reboot it.
I got same message on error log
[cups-driverd] Bad driver information file "/usr/share/cups/drv/cupsfilters.drv"!

ginalfa (ginalfa) wrote :

Sorry , I have a bizhob c220 not c200... :-|

ginalfa (ginalfa) wrote :
ginalfa (ginalfa) wrote :
ginalfa (ginalfa) wrote :
Manuel Lucena (mlucena) wrote :

Same printer, same problem. I can't print anything, and the printer hangs every time I try to print something. Very dissapointing, because it's a shared printer.

kampos (kampos-info) wrote :

I have a similar problem with a konica C253. By sending a copy printer freezes and I have to restart it manually.

Manuel Lucena (mlucena) on 2012-12-03
description: updated
Caeilte Reid (creid) wrote :

Same issue here with konica c253 - printer hangs after sending any file to it - doesnt seem to matter whcih protocol I use - have to power and reboot printer. Printer is shared printer in office and now I cant use...

Tektot Ket (tektotket) wrote :

Same issue here using fresh Ubuntu 12.10 install with latest updates. Printer is Konica Minolta C552. Client is a Dell D610 laptop.
The print attempts fail and the printer itself actually drops off the network (crashes) with no ping for about 30 seconds. Have tried IPP, LPD, SMB, socket and either the manufacturer's PPD or a generic PPD. Varying results but I've never been able to get a page to print. Cups seems to think the jobs are being sent but printer status is always 'waiting for ...' .

Other network printers seem to work fine (HP Laserjet 4000 for example)

also seeing the "[cups-driverd] Bad driver information file "/usr/share/cups/drv/cupsfilters.drv"!" in cups error log

Message I see in the jobs list @ http://printerip/wcd/job.xml in the C552 admin webpage: "Deleted Due To Error"

This may be related, but fix suggested there gives same results in my case: http://ubuntuforums.org/showthread.php?t=1972926

Victor W (vwphoto) wrote :

I have the same issue with a Canon 1023N shared over ethernet. I have tried other printers as well and none will print from my Ubuntu 12.10 machine.

All I do is add the printer, and try to print a test page. Currently impossible. Cups shows the job sent and completed successfully but printer doesn't register anything.

E [11/Jan/2013:16:30:23 -0500] [cups-driverd] Bad driver information file "/usr/share/cups/drv/cupsfilters.drv"!
W [11/Jan/2013:16:31:14 -0500] AddProfile failed: org.freedesktop.DBus.Error.UnknownMethod:No such interface `org.freedesktop.ColorManager' on object at path /org/freedesktop/ColorManager/devices/cups_1023
W [11/Jan/2013:16:31:27 -0500] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id '1023-Gray..' already exists
W [11/Jan/2013:16:31:27 -0500] CreateDevice failed: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-1023' already exists
E [11/Jan/2013:16:33:19 -0500] Unknown directive SystemGroup on line 3 of /etc/cups/cupsd.conf.
W [11/Jan/2013:16:33:19 -0500] AddProfile failed: org.freedesktop.DBus.Error.UnknownMethod:No such interface `org.freedesktop.ColorManager' on object at path /org/freedesktop/ColorManager/devices/cups_1023

Same problem logged under bug 1089828

Same issue different Kyocera printer

bart (bart-wp) wrote :

For LibrOffice on 12.10 I can get around this problem by selecting postscript as print format instead of pdf.

affects: cups (Ubuntu) → cups-filters (Ubuntu)

This was affecting me as well with a Konica Minolta bizhub C360.

The problem seems to be in the cups-filters package.

As per the recommendation in a post (https://bbs.archlinux.org/viewtopic.php?pid=1226864#p1226864), I pinned cups-filters to the version in precise-updates and it fixed the problem. Yah! No more angry looks from coworkers!

I added precise-updates back into my sources.list and pinned cups-filters to version 1.0.18-0ubuntu0.1. After reinstalling the pinned version, the only difference in packages was the addition of its older dependency, libpoppler19 (and its dependency libtiff4). So that tells me the problem must be in cups-filters (or maybe libpoppler19 or libtiff4).

To anybody else wanting to try: I attempted what I believe to be a safe downgrade by first uninstalling it, pinning it, then reinstalling it. However, in retrospect that didn't seem to be necessary in this case; simply pinning it and updating would probably work fine (however I don't recommend anybody ever attempt downgrades unless they know exactly what they are doing ... and I don't).

My /etc/apt/sources.list.d/ubuntu-precise.list
    deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse

My /etc/apt/preferences.d/cups-filters-minolta-bizhub
    Package: cups-filters
    Pin: version 1.0.18*
    Pin-Priority: 1005

Launchpad Janitor (janitor) wrote :

[Expired for cups-filters (Ubuntu) because there has been no activity for 60 days.]

Changed in cups-filters (Ubuntu):
status: Incomplete → Expired
Changed in cups-filters (Ubuntu):
status: Expired → Confirmed
Anthony Borrow (arborrow) wrote :

FYI - I am still seeing this issue in 13.04. I will try to go back and follow some of the instructions earlier if needed; however, it looks like others have reported more information. Is there anything in particular still needed to help troubleshoot and track down the issue? Peace - Anthony

The problem is that the Konica Minolta PostScript printers have problems with the PostScript produced by Ghostscript. The downgrade of cups-filters makes Poppler being used to generate PostScript.

Please undo the downgrade and follow the instructions of the section "PostScript (PDF) printer chokes on the PostScript (PDF) coming from Ubuntu" on https://wiki.ubuntu.com/DebuggingPrintingProblems. There you also find a workaround to make your printer working with the current cups-filters.

Changed in cups-filters (Ubuntu):
status: Confirmed → Incomplete
Changed in ghostscript (Ubuntu):
status: New → Incomplete

Thank you Till. I have followed the instructions from that link and posted the results here:

   1. Linux Mint 14 Nadia (Ubuntu 12.10)
   2. Konica Minolta Bizhub C360
   3. Attached error_log (although it contains no pertinent details)
   4. I am trying to print a test page per system-config-printer
   5. Attached input files (d00048-001 and corresponding default-testpage.pdf)
   6. Attached output file (printout)
   7. 'file printout' is 'PostScript document text conforming DSC level 3.0, Level 2'
   8. I will subscribed Chris Liddell after posting this
   9. Sent file unfiltered, same problem
   10. Sent uncompressed, same problem (attached printout-uncompressed)
   11. Workaround succesfully mitigates the problem

FYI, as per step 10, I also sent the file uncompressed and unfiltered with the same result being that the printer froze and required a power cycle.

Before performing these tests, know that I had upgraded back to the standard cups-filters that came with my distribution, 1.0.24-2ubuntu0.1

Everyone with this problem, please also have a look at the following Ghostscript upstream bug report:

http://bugs.ghostscript.com/show_bug.cgi?id=693652

Please also do the tests described there and post your results there. Thanks.

cliddell (cjl) wrote :

On the BizHub unit referenced in the above Ghostscript bug, investigation by KonicaMinolta UK suggested that this was a firmware bug which has been addressed in the most recent revisions - I've yet to receive confirmation from the user on that, but KM were unable to reproduce the crash on their own test units with up to date firmware.

The first step should really be to arrange a firmware update.

Anandesh (anandesh-dba) wrote :

Having tried umpteen suggestions from numerous sources, including from Konic-Minolta Japan that didn't work, I found an installation method that worked for me and also allowed the Bizhub C220 to print two sided and the setup seems to include all other options!
I seem to have stumbled upon a solution to all the problems I encountered, including printer freeze-up, when trying to print over LAN to a Konica-Minolta Bizhub C220 using the K-M supplied driver with 64 bit Linux Mint 14. The solution I found somewhere buried in some K-M documentation I can no longer find, sorry. Nevertheless, the OpenPrinting installation guide does mention lsb3.2 main under apt-get indexing in the Postscript-Konica_Minolta section.

https://wiki.linuxfoundation.org/en/OpenPrinting/Database/DriverPackages
http://www.openprinting.org/driver/Postscript-KONICA_MINOLTA/

So, before installing the printer driver, install LSB using Synaptic. It's that simple. The K-M PPD works a charm after that. I did the following to install the driver:
Install LSB through Synaptic to get the distro specific one (the package triggers the installation of other lsb-* items such as lsb-printing)
Under Printers click Add
Select Network Printer
Select the Konica Minolta C360 that shows “AppSocket/JetDirect network printer via DNS-SD”
Click Forward – wait while a driver search opens “New Printer” window
Select “Provide PPD file”
Go to where the “C360_Series_Linux_v10001.0000/CUPS1.2/EN/KOC360UX” file is located
Click Open & Forward/Forward and write the Location if required
Click Apply, and Print test page.
Settings for paper size, one sided/two/sided printing etc. need to be done.

Sam (samuel-hameau) wrote :

As said here https://wiki.ubuntu.com/DebuggingPrintingProblems#PostScript_.28PDF.29_printer_chokes_on_the_PostScript_.28PDF.29_coming_from_Ubuntu

This command solved the problem for me :
lpadmin -p <printer> -o pdftops-renderer-default=pdftops

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups-filters - 1.0.40-0ubuntu1

---------------
cups-filters (1.0.40-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release 1.0.40:
     - pdftops: Introduced new "hybrid" renderer: Here usually
       Ghostscript is used, but if the printer is a Brother,
       Minolta, or Konica Minolta Poppler's pdftops gets used. This
       is a quirk rule to work around bugs in the PS interpreters
       of the printers (LP: #1097105, LP: #1053443, LP: #1205898, LP: #238129,
       LP: #1072915, LP: #293832).
     - Fixed format string issues and added __attribute__ wording
       to printf-like functions to catch any regressions. Thanks to
       Tim Waugh from Red Hat for the patch.
     - pdftops: Fix for landscape PDF handling. Do not use the
       command line options "-origpagesizes" and
       "-choosePaperByPDFPageSize" of Poppler's pdftops utility on
       already processed PDF data. Thanks to Tim Waugh from Red Hat
       for the patch.
     - cups-browsed: Improve the efficiency of BrowsePoll by using
       IPP notifications when possible. It falls back to the
       previous behaviour if it is not possible to use this
       optimization. Thanks to Tim Waugh from Red Hat for the patch.
  * pdftops-only-use-origpagesizes-on-unprocessed-PDFs.patch: Removed patch
    backported from upstream.
  * debian/rules: Added ./configure option "--with-pdftops=hybrid" to activate
    the hybrid rendering mode (LP: #1097105, LP: #1053443, LP: #1205898,
    LP: #238129, LP: #1072915, LP: #293832).
 -- Till Kamppeter <email address hidden> Thu, 10 Oct 2013 12:04:57 +0200

Changed in cups-filters (Ubuntu):
status: Incomplete → Fix Released
Adam Niedling (krychek) wrote :

I confirm this bug is fixed in Ubuntu 13.10. Our Konica Minolta c253 in the office is working fine.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.